# Loki::DeleteArray< P > Class Template Reference
[Delete policies]

`#include <StrongPtr.h>`

List of all members.

## Static Public Member Functions

static void | Delete (const P *p)

## Detailed Description

### template<class P>
class Loki::DeleteArray< P >

Implementation of the DeletePolicy used by StrongPtr. This deletes an array of shared objects.

## Member Function Documentation

template<class P >

static void Loki::DeleteArray< P >::Delete | ( | const P * | p | ) | `[inline, static]`

Note:
  If you see an error message about a negative subscript, that means your are attempting to use Loki to delete an incomplete type. Please don't use this policy with incomplete types; you may want to use DeleteNothing instead.

The documentation for this class was generated from the following file:

- StrongPtr.h